/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.command;

import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;
import org.fortiss.tooling.base.ui.layout.util.LayoutDataUtils;

/**
 * Command that handles the deletion of bend points.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 1199086FE886DBF2B151CC79C21F48C9
 */
public class DeleteBendpointCommand extends BendpointCommandBase {
	/** Creates a command to delete a bend point. */
	public DeleteBendpointCommand(ILayoutedModelElement connection, int index) {
		super(connection, index, null);
	}

	/** {@inheritDoc} */
	@Override
	public void execute() {
		LayoutDataUtils.removeConnectionPoint(connection, index);
	}
}
