/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.command;

import java.util.List;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.requests.ChangeBoundsRequest;
import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;
import org.fortiss.tooling.base.ui.editpart.ElementEditPartBase;
import org.fortiss.tooling.base.ui.layout.constants.DefaultLayoutConstants;

/**
 * A command to move the elements within a diagram.
 * 
 * @author wandinger
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 4ECC57F8884FDDF3C622F30A50353585
 */
public class MoveWithinDiagramCommand extends ChangeBoundsRequestCommandBase {

	/** Constructor. */
	public MoveWithinDiagramCommand(ChangeBoundsRequest request) {
		super(request);
	}

	/** {@inheritDoc} */
	@SuppressWarnings("unchecked")
	@Override
	public void execute() {
		super.execute();

		for (EditPart editpart : (List<EditPart>) getRequest().getEditParts()) {
			if (editpart instanceof ElementEditPartBase) {
				moveAndResizeNode((ILayoutedModelElement) editpart.getModel(),
						DefaultLayoutConstants.DEFAULT_SHAPE_MINIMUM_WIDTH,
						DefaultLayoutConstants.DEFAULT_SHAPE_MINIMUM_HEIGHT);
			} else {
				moveNode((ILayoutedModelElement) editpart.getModel());
			}
		}
	}
}
