/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.preferences;

import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.fortiss.tooling.base.ui.ToolingBaseUIActivator;

/**
 * Main preference page for Fortiss Tooling. This does not provide preferences
 * itself, but serves as parent for other preference pages.
 * 
 * @author hoelzlf
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 6B7E44F27214D28ABD5CE7B961495A60
 */
public class MainPreferencePage extends FieldEditorPreferencePage implements
		IWorkbenchPreferencePage {

	/** Constructor. */
	public MainPreferencePage() {
		super(GRID);
		setPreferenceStore(ToolingBaseUIActivator.getDefault()
				.getPreferenceStore());
		setDescription("Preferences for Fortiss Tooling");
	}

	/** {@inheritDoc} */
	@Override
	public void init(IWorkbench workbench) {
		// nothing to do
	}

	/** {@inheritDoc} */
	@Override
	protected void createFieldEditors() {
		// nothing to do
	}
}
